# Uses of Class
org.eclipse.microprofile.openapi.apps.petstore.model.User

Packages that use User
Package
Description
org.eclipse.microprofile.openapi.apps.petstore.data
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.petstore.resource
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of User in org.eclipse.microprofile.openapi.apps.petstore.data

Methods in org.eclipse.microprofile.openapi.apps.petstore.data that return User
Modifier and Type
Method
Description
`User`
UserData.`findUserByName(String username)`
Methods in org.eclipse.microprofile.openapi.apps.petstore.data with parameters of type User
Modifier and Type
Method
Description
`void`
UserData.`addUser(User user)`

## Uses of User in org.eclipse.microprofile.openapi.apps.petstore.resource

Methods in org.eclipse.microprofile.openapi.apps.petstore.resource with parameters of type User
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
UserResource.`createUser(User user)`
`jakarta.ws.rs.core.Response`
UserResource.`createUsersWithArrayInput(User[] users)`
`jakarta.ws.rs.core.Response`
UserResource.`updateUser(String username, User user)`
Method parameters in org.eclipse.microprofile.openapi.apps.petstore.resource with type arguments of type User
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
UserResource.`createUsersWithListInput(List<User> users)`